{ pkgs ? import <nixpkgs> {} }:

let
  repo-data = pkgs.lib.importJSON ./repo.json;
  repo = pkgs.fetchFromGitHub (builtins.removeAttrs repo-data [ "branch" ]);

in
pkgs.stdenv.mkDerivation {
  name = "megacli2prom";
  buildInputs = [ pkgs.python3 pkgs.megacli ];
  src = repo;
  installPhase = ''
    mkdir -p $out/bin
    cp ./megacli2prom.py $out/bin/megacli2prom
    chmod +x $out/bin/megacli2prom
  '';
}

